| Home | Libraries | People | FAQ | More

## Function template all_of_equal

boost::algorithm::all_of_equal

## Synopsis

    // In header: <boost/algorithm/cxx11/all_of.hpp>

    template<typename InputIterator, typename T>
      BOOST_CXX14_CONSTEXPR bool
      all_of_equal(InputIterator first, InputIterator last, const T & val);

## Description

| Note
returns true on an empty range

Parameters: |
`first` | The start of the input sequence
`last` | One past the end of the input sequence
`val` | A value to compare against
Returns: | true if all elements in [first, last) are equal to 'val'